Subject: Re: [PATCH] makefile: teach git about NO_MSGFMT (as supported in GUI and gitk)

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 02 Sep 2021 12:38:52 +0200

On Thu, Sep 02 2021, Ævar Arnfjörð Bjarmason wrote:

> On Thu, Sep 02 2021, Carlo Marcelo Arenas Belón wrote:
>
>> NO_MSGFMT can be used to indicate there is no msgfmt available, so
>> make git recognize that and avoid failing to build while trying to
>> generate i18n files.
>
> Why would we want to avoid failing the build if we don't have msgfmt?
>
> I understand why you'd want NO_GETTEXT in that case, but what's the
> point of building with NO_GETTEXT= NO_MSGFMT=Y?
>
> If we can't build the *.mo files we'll have a completely broken
> installation that can't do anything useful with gettext, so why not just
> build without gettext at that point?
>
> When this patch is applied a lot of things related to gettext in our
> tests fail if you build with NO_GETTEXT= NO_MSGFMT=Y, because those
> things are assuming that if NO_GETTEXT isn't defined we'll have the *.mo
> files, po/build etc.

Some further digging reveals that we've got in-tree git-gui/po/po2msg.sh
and gitk-git/po/po2msg.sh (copy/pasted, but slightly different) that
supports some subset of "msgfmt --tcl".

I.e. those programs with NO_MSGFMT still ends up with locae files they
can use, whereas in this patch we don't end up with anything at all...